package com.mvc.entity;

import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2024-09-14 16:52:46
*/
public class TPackLog {
    /**
     * 
     */
    private Integer id;

    /**
     * 
     */
    private String packId;

    /**
     * 单包时，=PACK_ID，多包时PACK_ID=第一包数据的ID或重新生成一个ID也可以
     */
    private String packGid;

    /**
     * 1:多包 0:单包
     */
    private String multiPackFlag;

    /**
     * 总包数
     */
    private Integer packCount;

    /**
     * 包序
     */
    private Integer packIndex;

    /**
     * 上下行标识
     */
    private String upordown;

    /**
     * 功能码
     */
    private String funCode;

    /**
     * 功能码名称
     */
    private String funName;

    /**
     * 中心站点
     */
    private String centralCode;

    /**
     * 遥测站点
     */
    private String stationCode;

    /**
     * 遥测站类型
     */
    private String stationType;

    /**
     * 
     */
    private Date datatime;

    /**
     * 设备SN
     */
    private String deviceSn;

    /**
     * 报文字节数
     */
    private Integer rptLen;

    /**
     * 发报时间
     */
    private Date rptTime;

    /**
     * 报文密钥
     */
    private String rptPwd;

    /**
     * 报文流水号
     */
    private String serialNum;

    /**
     * 数据接收时间
     */
    private Date revTime;

    /**
     * 验证吗
     */
    private String checkNum;

    /**
     * CRC校验通过标志
     */
    private String crcCheckFlag;

    /**
     * 报文内容
     */
    private String message;

    /**
     * 标志
     */
    private String flag;

    /**
     * 
     */
    private String originmessage;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 接收时间戳
     */
    private Long timeStamp;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPackId() {
        return packId;
    }

    public void setPackId(String packId) {
        this.packId = packId == null ? null : packId.trim();
    }

    public String getPackGid() {
        return packGid;
    }

    public void setPackGid(String packGid) {
        this.packGid = packGid == null ? null : packGid.trim();
    }

    public String getMultiPackFlag() {
        return multiPackFlag;
    }

    public void setMultiPackFlag(String multiPackFlag) {
        this.multiPackFlag = multiPackFlag == null ? null : multiPackFlag.trim();
    }

    public Integer getPackCount() {
        return packCount;
    }

    public void setPackCount(Integer packCount) {
        this.packCount = packCount;
    }

    public Integer getPackIndex() {
        return packIndex;
    }

    public void setPackIndex(Integer packIndex) {
        this.packIndex = packIndex;
    }

    public String getUpordown() {
        return upordown;
    }

    public void setUpordown(String upordown) {
        this.upordown = upordown == null ? null : upordown.trim();
    }

    public String getFunCode() {
        return funCode;
    }

    public void setFunCode(String funCode) {
        this.funCode = funCode == null ? null : funCode.trim();
    }

    public String getFunName() {
        return funName;
    }

    public void setFunName(String funName) {
        this.funName = funName == null ? null : funName.trim();
    }

    public String getCentralCode() {
        return centralCode;
    }

    public void setCentralCode(String centralCode) {
        this.centralCode = centralCode == null ? null : centralCode.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType == null ? null : stationType.trim();
    }

    public Date getDatatime() {
        return datatime;
    }

    public void setDatatime(Date datatime) {
        this.datatime = datatime;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public Integer getRptLen() {
        return rptLen;
    }

    public void setRptLen(Integer rptLen) {
        this.rptLen = rptLen;
    }

    public Date getRptTime() {
        return rptTime;
    }

    public void setRptTime(Date rptTime) {
        this.rptTime = rptTime;
    }

    public String getRptPwd() {
        return rptPwd;
    }

    public void setRptPwd(String rptPwd) {
        this.rptPwd = rptPwd == null ? null : rptPwd.trim();
    }

    public String getSerialNum() {
        return serialNum;
    }

    public void setSerialNum(String serialNum) {
        this.serialNum = serialNum == null ? null : serialNum.trim();
    }

    public Date getRevTime() {
        return revTime;
    }

    public void setRevTime(Date revTime) {
        this.revTime = revTime;
    }

    public String getCheckNum() {
        return checkNum;
    }

    public void setCheckNum(String checkNum) {
        this.checkNum = checkNum == null ? null : checkNum.trim();
    }

    public String getCrcCheckFlag() {
        return crcCheckFlag;
    }

    public void setCrcCheckFlag(String crcCheckFlag) {
        this.crcCheckFlag = crcCheckFlag == null ? null : crcCheckFlag.trim();
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message == null ? null : message.trim();
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag == null ? null : flag.trim();
    }

    public String getOriginmessage() {
        return originmessage;
    }

    public void setOriginmessage(String originmessage) {
        this.originmessage = originmessage == null ? null : originmessage.trim();
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    public Long getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(Long timeStamp) {
        this.timeStamp = timeStamp;
    }
}